GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_transport_op Struct Reference

Transport op: a set of operations to perform on a transport as a whole. More...

`#include <transport.h>`

## Data Fields
grpc_iomgr_closure * | on_consumed
| called when processing of this op is done More...
grpc_iomgr_closure * | on_connectivity_state_change
| connectivity monitoring More...
grpc_connectivity_state * | connectivity_state
int | disconnect
| should the transport be disconnected More...
int | send_goaway
| should we send a goaway? after a goaway is sent, once there are no more active calls on the transport, the transport should disconnect More...
grpc_status_code | goaway_status
| what should the goaway contain? More...
gpr_slice * | goaway_message
void(* | set_accept_stream )(void *user_data, grpc_transport *transport, const void *server_data)
| set the callback for accepting new streams; this is a permanent callback, unlike the other one-shot closures More...
void * | set_accept_stream_user_data
grpc_pollset * | bind_pollset
| add this transport to a pollset More...
grpc_pollset_set * | bind_pollset_set
| add this transport to a pollset_set More...
grpc_iomgr_closure * | send_ping
| send a ping, call this back if not NULL More...

## Detailed Description

Transport op: a set of operations to perform on a transport as a whole.

## Field Documentation

grpc_pollset* grpc_transport_op::bind_pollset

add this transport to a pollset

grpc_pollset_set* grpc_transport_op::bind_pollset_set

add this transport to a pollset_set

grpc_connectivity_state* grpc_transport_op::connectivity_state

int grpc_transport_op::disconnect

should the transport be disconnected

gpr_slice* grpc_transport_op::goaway_message

grpc_status_code grpc_transport_op::goaway_status

what should the goaway contain?

grpc_iomgr_closure* grpc_transport_op::on_connectivity_state_change

connectivity monitoring

grpc_iomgr_closure* grpc_transport_op::on_consumed

called when processing of this op is done

int grpc_transport_op::send_goaway

should we send a goaway? after a goaway is sent, once there are no more active calls on the transport, the transport should disconnect

grpc_iomgr_closure* grpc_transport_op::send_ping

send a ping, call this back if not NULL

void(* grpc_transport_op::set_accept_stream)(void *user_data, grpc_transport *transport, const void *server_data)

set the callback for accepting new streams; this is a permanent callback, unlike the other one-shot closures

void* grpc_transport_op::set_accept_stream_user_data

The documentation for this struct was generated from the following file:

- src/core/transport/transport.h